[SCM] exiv2 packaging branch, master, updated. debian/0.25-3.1-3734-gdcbc29a
Maximiliano Curia
maxy at moszumanska.debian.org
Thu Jul 13 17:37:17 UTC 2017
Gitweb-URL: http://git.debian.org/?p=pkg-kde/kde-extras/exiv2.git;a=commitdiff;h=0ac2d66
The following commit has been merged in the master branch:
commit 0ac2d66f4be566bda89e3b5f5bb939093b40f31b
Author: Andreas Huggel <ahuggel at gmx.net>
Date: Tue Nov 1 15:50:51 2005 +0000
Added exiv2-config script. Applications that include exiv2 headers and link with the installed library can use this in their build commands.
---
config/Makefile | 2 +-
config/configure.ac | 1 +
config/exiv2-config.in | 84 ++++++++++++++++++++++++++++++++++++++++++++++++++
src/Makefile | 2 ++
4 files changed, 88 insertions(+), 1 deletion(-)
diff --git a/config/Makefile b/config/Makefile
index 4e447be..c4b9bb7 100644
--- a/config/Makefile
+++ b/config/Makefile
@@ -26,7 +26,7 @@ mostlyclean clean:
rm -f *~ *.bak *#
distclean: clean
- rm -f config.h ../src/exv_conf.h config.mk
+ rm -f config.h ../src/exv_conf.h config.mk exiv2-config
# This removes almost everything, including the configure script!
maintainer-clean: distclean
diff --git a/config/configure.ac b/config/configure.ac
index 45067f8..5c16e42 100644
--- a/config/configure.ac
+++ b/config/configure.ac
@@ -52,4 +52,5 @@ AC_SUBST(GXX,$GXX)
AC_SUBST(GCC,$GCC)
AC_CONFIG_FILES([./config/config.mk])
+AC_CONFIG_FILES([./config/exiv2-config], [chmod +x ./config/exiv2-config])
AC_OUTPUT
diff --git a/config/exiv2-config.in b/config/exiv2-config.in
new file mode 100644
index 0000000..1dda667
--- /dev/null
+++ b/config/exiv2-config.in
@@ -0,0 +1,84 @@
+#! /bin/sh
+
+prefix=@prefix@
+exec_prefix=@exec_prefix@
+includedir=@includedir@
+libdir=@libdir@
+
+usage()
+{
+ cat <<EOF
+Usage: exiv2-config [OPTION]
+
+Known values for OPTION are:
+
+ --prefix=DIR change exiv2 prefix [default $prefix]
+ --exec-prefix=DIR change exiv2 exec prefix [default $exec_prefix]
+ --libs print library linking information
+ --cflags print pre-processor and compiler flags
+ --help display this help and exit
+ --version output version information
+EOF
+
+ exit $1
+}
+
+if test $# -eq 0; then
+ usage 1
+fi
+
+cflags=false
+libs=false
+
+while test $# -gt 0; do
+ case "$1" in
+ -*=*) optarg=`echo "$1" | sed 's/[-_a-zA-Z0-9]*=//'` ;;
+ *) optarg= ;;
+ esac
+
+ case "$1" in
+ --prefix=*)
+ prefix=$optarg
+ includedir=$prefix/include
+ libdir=$prefix/lib
+ ;;
+
+ --prefix)
+ echo $prefix
+ ;;
+
+ --exec-prefix=*)
+ exec_prefix=$optarg
+ libdir=$exec_prefix/lib
+ ;;
+
+ --exec-prefix)
+ echo $exec_prefix
+ ;;
+
+ --version)
+ echo @PACKAGE_VERSION@
+ exit 0
+ ;;
+
+ --help)
+ usage 0
+ ;;
+
+ --cflags)
+ echo -I$includedir
+ ;;
+
+ --libs)
+ echo -L$libdir -lexiv2
+ ;;
+
+ *)
+ usage
+ exit 1
+ ;;
+ esac
+ shift
+done
+
+exit 0
diff --git a/src/Makefile b/src/Makefile
index 4d9290f..a6d5eb9 100644
--- a/src/Makefile
+++ b/src/Makefile
@@ -211,6 +211,7 @@ install-header:
install-lib: lib install-header
$(INSTALL_DIRS) $(DESTDIR)$(libdir)
@$(LIBTOOL) --mode=install $(INSTALL_DATA) $(LIBRARY) $(DESTDIR)$(libdir)/$(LIBRARY)
+ $(INSTALL_PROGRAM) $(top_srcdir)/config/exiv2-config $(DESTDIR)$(bindir)/exiv2-config
install: $(EXIV2BIN) install-lib
$(INSTALL_DIRS) $(DESTDIR)$(bindir)
@@ -224,6 +225,7 @@ uninstall-header:
-rmdir $(DESTDIR)$(incdir)
uninstall-lib: uninstall-header
+ $(RM) $(DESTDIR)$(bindir)/exiv2-config
@$(LIBTOOL) --mode=uninstall $(RM) $(DESTDIR)$(libdir)/$(LIBRARY)
-rmdir $(DESTDIR)$(libdir)
--
exiv2 packaging
More information about the pkg-kde-commits
mailing list